org.wildfly.swarm.config.elytron

## Class LogicalRoleMapper<T extends LogicalRoleMapper<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.LogicalRoleMapper<T>

-     public class LogicalRoleMapper<T extends LogicalRoleMapper<T>>
      extends Object

  A RoleMapper definition for a RoleMapper that performs a logical operation using two referenced RoleMappers.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LogicalRoleMapper.LogicalOperation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogicalRoleMapper(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `left()` Reference to a role mapper to be used on the left side of the operation.
    `T` | `left(String value)` Reference to a role mapper to be used on the left side of the operation.
    `LogicalRoleMapper.LogicalOperation` | `logicalOperation()` The logical operation to be performed on the role mapper mappings.
    `T` | `logicalOperation(LogicalRoleMapper.LogicalOperation value)` The logical operation to be performed on the role mapper mappings.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `right()` Reference to a role mapper to be used on the right side of the operation.
    `T` | `right(String value)` Reference to a role mapper to be used on the right side of the operation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogicalRoleMapper

          public LogicalRoleMapper(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### left

          public String left()

      Reference to a role mapper to be used on the left side of the operation.

    - #### left

          public T left(String value)

      Reference to a role mapper to be used on the left side of the operation.

    - #### logicalOperation

          public LogicalRoleMapper.LogicalOperation logicalOperation()

      The logical operation to be performed on the role mapper mappings.

    - #### logicalOperation

          public T logicalOperation(LogicalRoleMapper.LogicalOperation value)

      The logical operation to be performed on the role mapper mappings.

    - #### right

          public String right()

      Reference to a role mapper to be used on the right side of the operation.

    - #### right

          public T right(String value)

      Reference to a role mapper to be used on the right side of the operation.

Copyright © 2018 JBoss by Red Hat. All rights reserved.